	IFND	DEVICES_PRONET_I
DEVICES_PRONET_I SET 1
**
**  ProNET
**
**  Assembler include file.
**
**  (C) Copyright 1994-1997 Michael Krause
**                          <rawstyle@blackbox.dame.de>
**

	IFND	EXEC_IO_I
	INCLUDE	"exec/io.i"
	ENDC

** Set this bit in Flags for OpenDevice to enable extensive error messages.

	BITDEF	PN,ERRORSTRING,0

** These errors can occur after OpenDevice():

PNDERR_PORTEXISTS	equ	-94
PNDERR_DRIVERTROUBLE	equ	-96
PNDERR_UNIT_NOT_DEFINED	equ	-97

** This error can only occur after CMD_WRITE:

PNDERR_DESTINATION_GONE	equ	-98

** The ProNET IO Request:

      STRUCTURE	PNRequest,IO_SIZE
	APTR	pnr_MsgPort
	UWORD	pnr_NetSourcePort
	UWORD	pnr_NetDestPort
	APTR	pnr_Data
	ULONG	pnr_Length
	LABEL	pnr_Size

** You can use this in pnr_NetSourcePort:

PNP_NEXTFREE	equ	-2

*---
*--- Following is data for ProNET driver developers
*---

** The ProNET Driver Data Structure:

      STRUCTURE PNDrvData,0
	UBYTE	pndd_ReadSignalBit
	UBYTE	pndd_pad0		;leave this blank
	APTR	pndd_ReadQuery
	APTR	pndd_ReadFlush
	APTR	pndd_Read
	APTR	pndd_Write
	APTR	pndd_Exit
	LABEL	pndd_Size

** Return codes (magic cookies) for the driver's Init routine:

PNDRVERR_NO_MEMORY	equ	$ffffffff ;no memory
PNDRVERR_WRONG_ARGS	equ	$fffffffe ;wrong .config arguments

	ENDC	; DEVICES_PRONET_I
